/*================= SAMPLE MACRO DEFINITION FILE =================== */
/*  This file shows all valid ZEUS-MP macro definitions used to      */
/*  control compilation.  Be sure the unused operating system        */
/*  definitions are commented out in exactly the format as below.    */
/*  Some definitions are mutually exclusive.  Use this file          */
/*  as a template for new applications.                              */
/*========================== geometry ===============================*/
/* #define XYZ */
/* #define ZRP */
#define RTP
/* #define MOVING_GRID */
/*========================== physics ================================*/
/* #define PT_MASS */
#define GRAV
/* #define GRAV_FFT */
/* #define MHD */
/* #define RAD */
/* #define RAD_EXP */
/* #define ISO */
/* #define SUB_AV */
/* #define SUP_GRAV */
/* #define FLD */
/* #define TOTAL_ENERGY */
/* #define ONE_DIMENSIONAL */
#define TWO_DIMENSIONAL
#define KSYM
/* #define ABSORPTION        0.0 */
/* #define D_ABSORPTION_DT   0.0 */
/* #define SCATTERING        0.0 */
/* #define OPACITY_PWR_LAW */
/* #define NO_FORCES */
/* #define NO_COUPLING */
/* #define NO_TRANSPORT */
/* #define NO_DIFFUSION */
/* #define PHYS_VISC */
/* #define T_CONDUCT */
/* #define RAD_LOSS */
/*========================  array dimensioning  =====================*/
#define I_ZONES           600
#define J_ZONES           300
#define K_ZONES           1
#define MAX_OF_IN_JN_KN   600
/*========================  precision and libraries  ================*/
#define SMALL_NO          1.000d-99
#define LARGE_NO          1.000d+99
/* #define SINGLE_PRECISION */
#define MPI_USED
/* #define MPE_USED */
/* #define PROFILING */
#define NO_CPU_TIMER
/*=========================  output modes  ==========================*/
/* #define DEBUG */
#define RES_DUMPS
#define HDF_DUMPS
/* #define HDF5 */
#define TSL_DUMPS
/* #define HST_DUMPS */
/* #define TXT_DUMPS */
/*=========================  operating system  ======================*/
/* #define DEC */
/* #define EXEMPLAR */
/* #define SGI */
/* #define SUN */
/* #define UNICOS */
/* #define T3E */
/* #define CONVEX */
/* #define IBM */
/* #define HP */
/* #define PARAGON */
/* #define LINUX */
/*=========================  optional modules  ======================*/
#define VISCOSITY avisc
#define PROBLEM rgjet
#define SPECIAL writeout
#define RESTART empty
/* #define PROBRES empty */
#define USERDUMP textdmp
#define BNDYUPDATE jetoff


